%global modname multidict

#global rctag b4

Name:           python-%{modname}
Version:        2.1.4
Release:        %mkrel %{?rctag:0.%{rctag}}2
Summary:        MultiDict implementation
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/aio-libs/multidict
Source0:        %{url}/archive/v%{version}%{?rctag:%{rctag}}/%{modname}-%{version}%{?rctag:%{rctag}}.tar.gz

BuildRequires:  gcc

%global _description \
Multidicts are useful for working with HTTP headers, URL query args etc.\
\
The code was extracted from aiohttp library.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

%prep
%autosetup -n %{modname}-%{version}%{?rctag:%{rctag}}
rm -f %{modname}/*.c

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{python3_sitearch}/%{modname}/*.{c,pyx}

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-3 -v

%files -n python3-%{modname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/



%changelog
* Sun May 14 2017 ngompa <ngompa> 2.1.4-2.mga6
+ Revision: 1101149
- Port to Mageia
- imported package python-multidict

